> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get item offer template

> Retrieve a game-specific template with all required and optional fields for creating an item offer for the specified game.



## OpenAPI

````yaml /api/openapi.json get /v2/item-offers/templates/{game}
openapi: 3.1.0
info:
  title: GameBoost
  version: 2.0.0
servers:
  - url: https://api.gameboost.com
    description: GameBoost API
security:
  - BearerTokenSecurityScheme: []
tags:
  - name: Games
    description: Games
  - name: Seller Breaks
    description: Seller Breaks
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: Account Offers
    description: Account Offers
  - name: Account Orders
    description: Account Orders
  - name: Item Offers
    description: Item Offers
  - name: Item Orders
    description: Item Orders
  - name: Currency Offers
    description: Currency Offers
  - name: Currency Orders
    description: Currency Orders
  - name: Webhooks
    description: Webhook events sent to your endpoints when specific actions occur
  - name: Gift Card Offers
    description: Gift Card Offers
  - name: Gift Card Orders
    description: Gift Card Orders
paths:
  /v2/item-offers/templates/{game}:
    get:
      tags:
        - Item Offers
      summary: Get item offer template
      description: >-
        Retrieve a game-specific template with all required and optional fields
        for creating an item offer for the specified game.
      parameters:
        - name: game
          in: path
          description: The slug of the game. Can be retrieved from the list of games.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Item offer creation template for a specific game
          content:
            application/json:
              schema:
                type: object
                properties:
                  template:
                    type: object
                    properties:
                      game:
                        type: string
                        example: league-of-legends
                      title:
                        type: string
                        example: Sample Item Offer Title
                      slug:
                        type: string
                        example: (optional) sample-item-offer-slug
                      description:
                        type: string
                        example: Sample description of the item offer.
                      price:
                        type: number
                        example: 10.99
                      stock:
                        type: integer
                        example: 100
                      min_quantity:
                        type: integer
                        example: 1
                      delivery_time:
                        type: object
                        properties:
                          duration:
                            type: integer
                            example: 30
                          unit:
                            type: string
                            example: minutes/hours/days
                      delivery_instructions:
                        type: string
                        example: (optional) Sample delivery instructions
                      delivery_method:
                        enum:
                          - none
                          - username
                          - login
                          - trade
                          - auction
                          - gift
                          - redeem
                          - mail
                        type: string
                        nullable: true
                        example: >-
                          (optional, nullable)
                          none/username/login/trade/auction/gift/redeem/mail
                      excluded_delivery_fields:
                        description: >-
                          Optional delivery fields that can be disabled for the
                          selected delivery method.
                        type: array
                        items:
                          enum:
                            - username
                            - server
                            - login
                            - password
                            - platform
                            - region
                          type: string
                        nullable: true
                        example:
                          - username
                      delivery_method_options:
                        type: array
                        items:
                          description: >-
                            Available delivery method metadata and customer
                            fields for this game.
                          type: object
                      image_urls:
                        type: array
                        items:
                          type: string
                          example: http://example.com/sample-image.jpg
                      item_data:
                        description: >-
                          Game-specific item data fields (structure varies by
                          game)
                        type: object
                        nullable: true
        '401':
          $ref: '#/components/responses/ErrorUnauthenticated'
        '404':
          $ref: '#/components/responses/ErrorNotFound'
        '429':
          $ref: '#/components/responses/ErrorRateLimited'
      security:
        - BearerToken: []
components:
  responses:
    ErrorUnauthenticated:
      description: >-
        User is not authenticated, happens when the API key is missing, expired
        or invalid
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthenticated.
    ErrorNotFound:
      description: Resource not found, happens when the requested resource does not exist
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Resource not found.
    ErrorRateLimited:
      description: >-
        Rate limit exceeded, happens when you exceed the rate limit for the
        endpoint
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Too many requests.
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````